
Conversion Tools - Feature #1730

implement macro pattern matching

10/29/2012 02:10 PM - Eric Faulhaber

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 320.00 hours

Target version: Converted Code Improvements -

Deduplication

  

billable: No vendor_id: GCD

Description

History

#1 - 10/29/2012 02:13 PM - Eric Faulhaber

This issue will need to be broken down into smaller subissues, each with a lot more detail, but the basic ideas:

fingerprinting subtrees -- catalogue patterns, detect repetition

pluggable fuzziness based on things like expression typing and things that in the 4GL are keyword differences but which can be easily

parameterized in Java

invariant testing et al to detect if it is valid to refactor

must also deal with scoping issues and block/control flow processing (call graph support necessary?)

#2 - 10/31/2012 03:41 PM - Greg Shah

- Target version set to Code Improvements

#3 - 11/16/2016 12:47 PM - Greg Shah

- Target version changed from Code Improvements to Converted Code Improvements - Deduplication
